Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2131 closed enhancement (fixed)

SMP support for timer server is suboptimal

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

The SMP support for the timer server should not use the global thread dispatch disable lock to avoid thread dispatch latency degradations.

This is a SMP only problem.

Change History (11)

comment:1 Changed on 07/22/13 at 13:13:38 by Sebastian Huber

The SMP support for the timer server should not use the global thread dispatch disable lock to avoid thread dispatch latency degradations.

This is a SMP only problem.

comment:2 Changed on 07/22/13 at 13:26:29 by Sebastian Huber

Owner: changed from Joel Sherrill to Sebastian Huber

comment:3 Changed on 11/21/14 at 12:35:58 by Sebastian Huber

Description: modified (diff)
Milestone: 4.115.0

comment:4 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on 12/12/14 at 07:27:14 by Sebastian Huber

Description: modified (diff)
Milestone: 4.115.0

comment:6 Changed on 02/14/15 at 13:41:52 by Sebastian Huber

Component: cpukitSMP

comment:7 Changed on 05/16/15 at 09:30:47 by Sebastian Huber

Milestone: 5.04.11
Type: defectenhancement

comment:8 Changed on 05/16/15 at 09:38:23 by Sebastian Huber

Status: newaccepted

comment:9 Changed on 05/20/15 at 07:28:01 by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

comment:10 Changed on 10/10/17 at 06:27:10 by Sebastian Huber

Component: SMPscore

comment:11 Changed on 10/10/17 at 06:29:01 by Sebastian Huber

Component: scorecpukit
Note: See TracTickets for help on using tickets.